# collada.source.InputList

class `collada.source.``InputList`

  Bases: `object`

  Used for defining input sources to a geometry.

  `__init__`()

    Create an input list

  Methods

  `__init__`() | Create an input list
  `addInput`(offset, semantic, src[, set]) | Add an input source to this input list.
  `getList`() | Returns a list of tuples of the source in the form (offset, semantic, source, set)

  `addInput`(offset, semantic, src, set=None)

    Add an input source to this input list.

    Parameters:

    - offset (int) – Offset for this source within the geometry’s indices
    - semantic (str) –
      The semantic for the input source. Currently supported options are:
        - VERTEX
        - NORMAL
        - TEXCOORD
        - TEXBINORMAL
        - TEXTANGENT
        - COLOR
        - TANGENT
        - BINORMAL
    - src (str) – A string identifier of the form #srcid where srcid is a source within the geometry’s `sourceById` array.
    - set (str) – Indicates a set number for the source. This is used, for example, when there are multiple texture coordinate sets.

  `getList`()

    Returns a list of tuples of the source in the form (offset, semantic, source, set)